CURLINFO_HEADER_SIZE(3)

NAME
CURLINFO_HEADER_SIZE - get size of retrieved headers

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_HEADER_SIZE, long *sizep);

DESCRIPTION
Pass a pointer to a long to receive the total size of all the headers received. Measured in number of bytes.

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.4.1

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3), CURLINFO_REQUEST_SIZE(3), CURLINFO_SIZE_DOWNLOAD(3),